Subject: RE: make[5]: execvp: C:/Cygwin/bin/bash.exe: No more processes
From: Bernard Dautrevaux <[email-masked]>
To: "'Guy T. Moore Jr.'" <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 6 Oct 2000 16:23:29 +0200

Hi!

I've a bit simplified your example:

====8<======== Makefile================
MAKE_LEVEL = 0
LAST_LEVEL = 32

all:
	@echo "MAKE_LEVEL=$(MAKE_LEVEL)"; \
	if [ $(MAKE_LEVEL) -ge $(LAST_LEVEL) ]; then \
		echo "SUCCESS!......."; \
	else \
		make_level=`expr $(MAKE_LEVEL) + 1`; \
		$(MAKE) MAKE_LEVEL=$$make_level LAST_LEVEL=$(LAST_LEVEL); \
	fi
=====8<==================================

When typing: "make" at the bash prompt I can get 27 nested make calls, then
get a "Pipe call failed" error :-(

I have quite a lot of available memory (About 100Mb available when the error
occurs). Maybe there is some limitation on the number of processes managed
by cygwin ?-)

Just a small try :-)

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

> -----Original Message-----
> From: Guy T. Moore Jr. [mailto:[email-masked]]
> Sent: Friday, October 06, 2000 2:40 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: make[5]: execvp: C:/Cygwin/bin/bash.exe: No more processes 
> 
> 
> Cygwin'ers:
> 
> 
> I've somewhat narrowed down a make error based on the level
> of nested makes but using our build system the way it is.
> i.e.: I cannot prove that my error is only related to the
>       number of nested makes.
> 
> So I guess this is stack related or some other resource that
> I would like to bump up.
> 
> What resource is my error related to, and can I bump it up
> using what command?
> 
> 
> Guy Moore
> OpenMarket
> 
> 
> 
> $ make -f Makefile.nesting all1
> 
> ./echotext.sh
> SHLVL=2
> make -k  -f Makefile.nesting all2
> make[1]: Entering directory `/cygdrive/c'
> ./echotext.sh
> SHLVL=3
> make -k  -f Makefile.nesting all3
> make[2]: Entering directory `/cygdrive/c'
> ./echotext.sh
> SHLVL=4
> make -k  -f Makefile.nesting all4
> make[3]: Entering directory `/cygdrive/c'
> ./echotext.sh
> SHLVL=5
> make -k  -f Makefile.nesting all5
> make[4]: Entering directory `/cygdrive/c'
> ./echotext.sh
> SHLVL=6
> make -k  -f Makefile.nesting all6
> make[5]: Entering directory `/cygdrive/c'
> echo "success"
> make[5]: execvp: C:/Cygwin/bin/bash.exe: No more processes   
> <----- BADNESS
> make[5]: *** [all6] Error 127
> make[5]: Leaving directory `/cygdrive/c'
> make[4]: *** [all5] Error 2
> make[4]: Leaving directory `/cygdrive/c'
> make[3]: *** [all4] Error 2
> make[3]: Leaving directory `/cygdrive/c'
> make[2]: *** [all3] Error 2
> make[2]: Leaving directory `/cygdrive/c'
> make[1]: *** [all2] Error 2
> make[1]: Leaving directory `/cygdrive/c'
> make: *** [all1] Error 2
> %
> 
> ##############  begin makefile.nesting  ###############
> include $(PRODUCT_VOB)/config/Makefile.cnt_40
> include $(PRODUCT_VOB)/omktltxml/Makefile.common
> 
> SHELL=C:/Cygwin/bin/bash.exe
> 
> all1:
>         ./echotext.sh
>         $(MAKE) -f Makefile.nesting all2
> 
> all2:
>         ./echotext.sh
>         $(MAKE) -f Makefile.nesting all3
> 
> all3:
>         ./echotext.sh
>         $(MAKE) -f Makefile.nesting all4
> 
> all4:
>         ./echotext.sh
>         $(MAKE) -f Makefile.nesting all5
> 
> all5:
>         ./echotext.sh
>         $(MAKE) -f Makefile.nesting all6
> 
> all6:
>         echo "success"
>         ./echotext.sh
> 
> include $(PRODUCT_VOB)/config/Makefile.rules
> 
> 
> ##############  end makefile.nesting  ###############
> 
> 
> 
> 
> Cygnus Win95/NT Configuration Diagnostics
> Current System Time: Thu Oct  5 20:34:12 2000
> 
> WinNT Ver 4.0 build 1381 Service Pack 5
> 
> Path:   /usr/local/bin
>         /usr/bin
>         /usr/bin
>         .
>         /cygdrive/d/Perl/bin
>         /cygdrive/d/WINNT/system32
>         /cygdrive/d/WINNT
>         /cygdrive/d/Program Files/Mts
>         /cygdrive/d/NTReskit
>         /cygdrive/d/Program Files/Rational/ClearCase/bin
>         /cygdrive/d/PROGRA~1/Tcl/bin
>         /cygdrive/d/Program Files/Microsoft Visual 
> Studio/Common/Tools/WinNT
>         /cygdrive/d/Program Files/Microsoft Visual 
> Studio/Common/MSDev98/Bin
>         /cygdrive/d/Program Files/Microsoft Visual Studio/Common/Tools
>         /cygdrive/d/Program Files/Microsoft Visual Studio/VC98/bin
> 
> SysDir: D:\WINNT\System32
> WinDir: D:\WINNT
> 
> CYGWIN = `binmode ntea'
> HOME = `/cygdrive/g'
> MAKE_MODE = `unix'
> PWD = `/cygdrive/c'
> USER = `administrator'
> 
> !C: = `C:\cygwin\bin'
> !D: = `D:\WINNT\Profiles\gmoore.000\Desktop'
> CLEARCASE_PRIMARY_GROUP = `staff'
> COMPUTERNAME = `PCVIEWSERVER1'
> COMSPEC = `D:\WINNT\system32\cmd.exe'
> HOMEDRIVE = `U:'
> HOMEPATH = `\'
> HOMESHARE = `\\brl-fsoffice-1\mooreg$'
> HOSTNAME = `PCVIEWSERVER1'
> HOSTTYPE = `i586'
> INCLUDE = `D:\Program Files\Microsoft Visual 
> Studio\VC98\atl\include;D:\Program Files\Microsoft
> Visual Studio\VC98\mfc\include;D:\Program Files\Microsoft 
> Visual Studio\VC98\include'
> LIB = `D:\Program Files\Microsoft Visual 
> Studio\VC98\mfc\lib;D:\Program Files\Microsoft Visual
> Studio\VC98\lib'
> LOGONSERVER = `\\BRL-DC-1'
> MACHTYPE = `i586-pc-cygwin'
> MSDEVDIR = `D:\Program Files\Microsoft Visual Studio\Common\MSDev98'
> NTRESKIT = `D:\NTReskit'
> NUMBER_OF_PROCESSORS = `1'
> OLDPWD = `/cygdrive/z'
> OS2LIBPATH = `D:\WINNT\system32\os2\dll;'
> OS = `Windows_NT'
> OSTYPE = `cygwin'
> PATHEXT = `.COM;.EXE;.BAT;.CMD'
> PLATFORM = `cnt_40'
> PLATFORM_CLASS = `WINDOWS'
> PROCESSOR_ARCHITECTURE = `x86'
> PROCESSOR_IDENTIFIER = `x86 Family 6 Model 5 Stepping 1, GenuineIntel'
> PROCESSOR_LEVEL = `6'
> PROCESSOR_REVISION = `0501'
> PRODUCT_VOB = `z:/vobsSecureLink'
> PROMPT = `$P$G'
> PS1 = `
> \u@\h \w
> $ '
> SHELL = `/bin/sh'
> SHLVL = `1'
> SYSTEMDRIVE = `D:'
> SYSTEMROOT = `D:\WINNT'
> TERM = `cygwin'
> TMP = `/cygdrive/c/TEMP'
> USERDOMAIN = `OPENMARKET'
> USERNAME = `gmoore'
> USERPROFILE = `D:\WINNT\Profiles\gmoore.000'
> WINDIR = `D:\WINNT'
> _ = `/usr/bin/cygcheck'
> TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'
> 
> HKEY_CURRENT_USER\Software\Cygnus Solutions
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
>   (default) = `/cygdrive'
>   cygdrive flags = 0x00000020
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/
>   (default) = `C:/cygwin'
>   flags = 0x00000002
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
>   (default) = `C:/cygwin/bin'
>   flags = 0x00000002
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
>   (default) = `C:/cygwin/lib'
>   flags = 0x00000002
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
> HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
> 
> a:  fd           N/A    N/A                    
> c:  hd  NTFS    4000Mb   5% CP CS UN PA FC     
> d:  hd  NTFS    4031Mb  29% CP CS UN PA FC     
> e:  cd           N/A    N/A                    
> g:  net Samba   4063Mb  77% CP    UN           gmoore
> m:  net MVFS    1000Mb  50% CP CS              CCase
> u:  net NTFS   93919Mb  97% CP CS UN PA FC     
> x:  net Samba   4063Mb   0% CP    UN           exports
> z:  net MVFS    1000Mb  50% CP CS              CCase
> 
> C:\cygwin\bin  /usr/bin  user    binmode
> C:\cygwin\lib  /usr/lib  user    binmode
> C:\cygwin  /        user    binmode
> 
> Found: C:\cygwin\bin\bash.exe
> Found: C:\cygwin\bin\cat.exe
> Found: d:\NTReskit\cat.exe
> Warning: C:\cygwin\bin\cat.exe hides d:\NTReskit\cat.exe
> Found: C:\cygwin\bin\cpp.exe
> Found: C:\cygwin\bin\find.exe
> Found: C:\cygwin\bin\gcc.exe
> Found: C:\cygwin\bin\gdb.exe
> Found: C:\cygwin\bin\ld.exe
> Found: C:\cygwin\bin\ls.exe
> Found: d:\NTReskit\ls.exe
> Warning: C:\cygwin\bin\ls.exe hides d:\NTReskit\ls.exe
> Found: C:\cygwin\bin\make.exe
> Found: C:\cygwin\bin\sh.exe
> 
>    83k 2000/06/11 C:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitcl30.dll" v0.0 ts=2000/6/10 23:34
>    35k 2000/06/11 C:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitk30.dll" v0.0 ts=2000/6/10 23:34
>   402k 2000/06/11 C:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtcl80.dll" v0.0 ts=2000/6/10 23:30
>     5k 2000/06/11 C:\cygwin\bin\cygtclpip80.dll - os=4.0 
> img=1.0 sys=4.0
>    10k 2000/06/11 C:\cygwin\bin\cygtclreg80.dll - os=4.0 
> img=1.0 sys=4.0
>                   "cygtclreg80.dll" v0.0 ts=2000/6/10 23:30
>   639k 2000/06/11 C:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtk80.dll" v0.0 ts=2000/6/10 23:34
>   586k 2000/08/04 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2000/8/3 20:53
>     Cygwin DLL version info:
>         dll major: 1001
>         dll minor: 4
>         dll epoch: 19
>         dll bad signal mask: 19005
>         dll old termios: 5
>         api major: 0
>         api minor: 26
>         shared data: 3
>         dll identifier: cygwin1
>         mount registry: 2
>         cygnus registry name: Cygnus Solutions
>         cygwin registry name: Cygwin
>         program options name: Program Options
>         cygwin mount registry name: mounts v2
>         build date: Thu Aug 3 20:53:46 EDT 2000
>         CVS tag: cygwin-1-1-4
>         shared id: cygwin1S3
> 
> Use -h to see help about each section
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]